java.nio.file

## Interface PathMatcher

-     public interface PathMatcher

  An interface that is implemented by objects that perform match operations on paths.
  Since:
    1.7
  See Also:
    `FileSystem.getPathMatcher(java.lang.String)`, `Files.newDirectoryStream(Path,String)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(Path path)` Tells if given path matches this matcher's pattern.

- - ### Method Detail

    - #### matches

          boolean matches(Path path)

      Tells if given path matches this matcher's pattern.
      Parameters:
        `path` - the path to match
      Returns:
        `true` if, and only if, the path matches this matcher's pattern

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.